Role Name
=========

A role that installs the keycloak IdM <https://keycloak.org>

Role Variables
--------------

The most important variables are listed below:

``` yaml
keycloak_major_version: '10'
keycloak_minor_version: '0'
keycloak_point_version: '2'
keycloak_install_dir: '/opt/keycloak'
keycloak_log_directory: '/var/log/keycloak'
# domain clustered mode is not supported at this time
keycloak_wildfly_mode: 'standalone'
keycloak_wildfly_clustered: False
keycloak_listen: '127.0.0.1'
keycloak_java_min_heap: '2048m'
keycloak_java_max_heap: '{{ keycloak_java_min_heap }}'
```

Dependencies
------------

OpenJDK

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
